Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.db2
Class DB2QualifierTranslator

    java.lang.Object
      org.apache.cayenne.access.trans.QueryAssemblerHelper
          org.apache.cayenne.access.trans.QualifierTranslator
              org.apache.cayenne.access.trans.TrimmingQualifierTranslator
                  org.apache.cayenne.dba.db2.DB2QualifierTranslator

All Implemented Interfaces:
  TraversalHandler

    public class DB2QualifierTranslator

extends TrimmingQualifierTranslator

Field Summary

Fields inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator
`trimFunction`

Fields inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`matchingObject, objectMatchTranslator`

Fields inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`out, queryAssembler, strategy`

Constructor Summary
`DB2QualifierTranslator(QueryAssembler queryAssembler, String trimFunction)`

Method Summary
`protected void` | `appendLiteralDirect(Object val, DbAttribute attr, Expression parentExpression)` Appends SQL code to the query buffer to handle `val` as a parameter to the PreparedStatement being built.

Methods inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator
`getTrimFunction, processColumn, processColumnWithQuoteSqlIdentifiers, setTrimFunction`

Methods inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`appendLiteral, appendObjectMatch, detectObjectMatch, doAppendPart, doAppendPart, endNode, extractQualifier, finishedChild, objectNode, parenthesisNeeded, processRelTermination, startNode`

Methods inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`appendDbPath, appendObjPath, appendPart, getDbEntity, getObjEntity, paramsDbType, processRelTermination`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DB2QualifierTranslator

    public DB2QualifierTranslator(QueryAssembler queryAssembler,
                                  String trimFunction)

Method Detail

### appendLiteralDirect

    protected void appendLiteralDirect(Object val,
                                       DbAttribute attr,
                                       Expression parentExpression)
                                throws IOException

  Description copied from class: `QueryAssemblerHelper`
  Appends SQL code to the query buffer to handle `val` as a parameter to the PreparedStatement being built. Adds `val` into QueryAssembler parameter list.

  Overrides:
    `appendLiteralDirect` in class `QueryAssemblerHelper`
  Parameters:
    `val` - object that should be appended as a literal to the query. Must be of one of "standard JDBC" types. Can not be null.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.